Simple framework for solving first-order ODEs

## Example

Simulate an epidemics using the compartmental model SIR (Susceptible-Infected-Removed). This command prints tab-separated columns Susceptible and Infected, then writes a plot at `target/sir.png`.

```bash
cargo run -p epidemics
```

## License

GNU AGPL v3, CopyLeft 2021-2023 Pascal Engélibert [(why copyleft?)](https://txmn.tk/blog/why-copyleft/)

This program is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License as published by the Free Software Foundation, version 3 of the License.  
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more details.  
You should have received a copy of the GNU Affero General Public License along with this program. If not, see https://www.gnu.org/licenses/.
